﻿Imports System.Data.SqlClient

Public Class _Default
    Inherits Page
    Private descriptionValue As String = Nothing
    Dim service As New localhost.WebService1  'Creating the object to the service to call the method


    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Me.BindAppointments()
        End If
    End Sub


    Private Sub BindAppointments()
        Dim loc As New localhost.WebService1
        Dim appointmentsData As DataTable
        appointmentsData = loc.BindAppointments()   ' Here we are calling the BindAppointments webservice method to read the data
        Schedule1.AppointmentSettings.DataSource = appointmentsData   'Here you need to pass the appointment value
    End Sub

    Private m_Arguments As Dictionary(Of String, Object)
    Public Property Arguments() As Dictionary(Of String, Object)
        Get
            Return m_Arguments
        End Get
        Set(value As Dictionary(Of String, Object))
            m_Arguments = value
        End Set
    End Property
    Protected Sub Schedule1_ServerAppointmentSaved(sender As Object, e As Syncfusion.JavaScript.Web.ScheduleEventArgs)
        Arguments = TryCast(e.Arguments("appointment"), Dictionary(Of String, Object))
        Dim list = TryCast(Arguments, Dictionary(Of String, Object))
        descriptionValue = If(list.ContainsKey("Description") = False, "", list("Description").ToString())
        Dim service As New localhost.WebService1
        service.Insert(list("Id").ToString(), list("Subject").ToString(), descriptionValue.ToString(), Convert.ToDateTime(list("StartTime")).ToUniversalTime().ToString(), Convert.ToDateTime(list("EndTime")).ToUniversalTime().ToString(), Convert.ToBoolean(list("AllDay"))) 'Here we are calling the insert Web Service method 
        Me.BindAppointments()
    End Sub

    Protected Sub Schedule1_ServerAppointmentEdited(sender As Object, e As Syncfusion.JavaScript.Web.ScheduleEventArgs)
        Arguments = TryCast(e.Arguments("appointment"), Dictionary(Of String, Object))
        Dim list = TryCast(Arguments, Dictionary(Of String, Object))
        descriptionValue = If(list.ContainsKey("Description") = False, "", list("Description").ToString())
        service.Update(list("Id").ToString(), list("Subject").ToString(), descriptionValue.ToString(), Convert.ToDateTime(list("StartTime")).ToUniversalTime().ToString(), Convert.ToDateTime(list("EndTime")).ToUniversalTime().ToString(), Convert.ToBoolean(list("AllDay"))) 'Here we are calling the update Web Service method 
        Me.BindAppointments()
    End Sub

    Protected Sub Schedule1_ServerAppointmentDeleted(sender As Object, e As Syncfusion.JavaScript.Web.ScheduleEventArgs)
        Arguments = TryCast(e.Arguments("appointment")(0), Dictionary(Of String, Object))
        Dim list = TryCast(Arguments, Dictionary(Of String, Object))
        service.Delete(list("Id").ToString())  'Here we are calling the delete Web Service method 
        Me.BindAppointments()
    End Sub

    Protected Sub Schedule1_ServerResizeStop(sender As Object, e As Syncfusion.JavaScript.Web.ScheduleEventArgs)
        Arguments = TryCast(e.Arguments("appointment"), Dictionary(Of String, Object))
        Dim list = TryCast(Arguments, Dictionary(Of String, Object))
        descriptionValue = If(list.ContainsKey("Description") = False, "", list("Description").ToString())
        service.Update(list("Id").ToString(), list("Subject").ToString(), descriptionValue.ToString(), Convert.ToDateTime(list("StartTime")).ToUniversalTime().ToString(), Convert.ToDateTime(list("EndTime")).ToUniversalTime().ToString(), Convert.ToBoolean(list("AllDay"))) 'Here we are calling the update Web Service method 
        Me.BindAppointments()
    End Sub

    Protected Sub Schedule1_ServerDragStop(sender As Object, e As Syncfusion.JavaScript.Web.ScheduleEventArgs)
        Arguments = TryCast(e.Arguments("appointment"), Dictionary(Of String, Object))
        Dim list = TryCast(Arguments, Dictionary(Of String, Object))
        descriptionValue = If(list.ContainsKey("Description") = False, "", list("Description").ToString())
        service.Update(list("Id").ToString(), list("Subject").ToString(), descriptionValue.ToString(), Convert.ToDateTime(list("StartTime")).ToUniversalTime().ToString(), Convert.ToDateTime(list("EndTime")).ToUniversalTime().ToString(), Convert.ToBoolean(list("AllDay"))) 'Here we are calling the update Web Service method 
        Me.BindAppointments()
    End Sub
End Class