﻿Imports System.Web.Services
Imports System.Web.Services.Protocols
Imports System.ComponentModel
Imports System.Data.SqlClient

' To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line.
' <System.Web.Script.Services.ScriptService()> _
<System.Web.Services.WebService(Namespace:="http://tempuri.org/")> _
<System.Web.Services.WebServiceBinding(ConformsTo:=WsiProfiles.BasicProfile1_1)> _
<ToolboxItem(False)> _
Public Class WebService1
    Inherits System.Web.Services.WebService

    <WebMethod()> _
    Public Function HelloWorld() As String
        Return "Hello World"
    End Function
    <WebMethod()> _
    Public Function BindAppointments() As DataTable
        Dim constr As String = ConfigurationManager.ConnectionStrings("ConnectionString").ConnectionString
        Dim conn As New SqlConnection(constr)
        Dim adapter1 As New SqlDataAdapter
        Dim drugs As New DataSet
        conn.Open()
        Dim command As New SqlCommand("Select EndTime,Id,StartTime,Subject,AllDay,Description From Appointments", conn)
        ' set up the command
        adapter1.SelectCommand = command
        adapter1.Fill(drugs)
        Return drugs.Tables(0)
    End Function

    <WebMethod()> _
    Public Sub Insert(id As Integer, subject As String, description As String, startTime As String, endTime As String, allDay As Boolean)
        Dim constr As String = ConfigurationManager.ConnectionStrings("ConnectionString").ConnectionString
        Using con As New SqlConnection(constr)
            Using cmd As New SqlCommand("INSERT INTO Appointments (Id, Subject, Description, StartTime, EndTime, AllDay) VALUES (@Id, @Subject, @Description, @StartTime, @EndTime, @AllDay)")
                cmd.Parameters.AddWithValue("@Id", id)
                cmd.Parameters.AddWithValue("@Subject", subject)
                cmd.Parameters.AddWithValue("@Description", description)
                cmd.Parameters.AddWithValue("@StartTime", Convert.ToDateTime(startTime))
                cmd.Parameters.AddWithValue("@EndTime", Convert.ToDateTime(endTime))
                cmd.Parameters.AddWithValue("@AllDay", allDay)
                cmd.Connection = con
                con.Open()
                cmd.ExecuteNonQuery()
                con.Close()
            End Using
        End Using
    End Sub

    <WebMethod()> _
    Public Sub Update(id As Integer, subject As String, description As String, startTime As String, endTime As String, allDay As Boolean)
        Dim constr As String = ConfigurationManager.ConnectionStrings("ConnectionString").ConnectionString
        Using con As New SqlConnection(constr)
            Using cmd As New SqlCommand("UPDATE Appointments SET Id = @Id, Subject = @Subject, Description=@Description, StartTime=@StartTime, EndTime=@EndTime, AllDay=@AllDay WHERE Id = @Id")
                cmd.Parameters.AddWithValue("@Id", id)
                cmd.Parameters.AddWithValue("@Subject", subject)
                cmd.Parameters.AddWithValue("@Description", description)
                cmd.Parameters.AddWithValue("@StartTime", Convert.ToDateTime(startTime))
                cmd.Parameters.AddWithValue("@EndTime", Convert.ToDateTime(endTime))
                cmd.Parameters.AddWithValue("@AllDay", allDay)
                cmd.Connection = con
                con.Open()
                cmd.ExecuteNonQuery()
                con.Close()
            End Using
        End Using
    End Sub
    ' The following code snippet is used to delete the appointment details from the database

    <WebMethod()> _
    Public Sub Delete(id As Integer)
        Dim constr As String = ConfigurationManager.ConnectionStrings("ConnectionString").ConnectionString
        Using con As New SqlConnection(constr)
            Using cmd As New SqlCommand("DELETE FROM Appointments WHERE Id = @Id")
                cmd.Parameters.AddWithValue("@Id", id)
                cmd.Connection = con
                con.Open()
                cmd.ExecuteNonQuery()
                con.Close()
            End Using
        End Using
    End Sub


End Class